| 

.NET C# Java Javascript Exception

Groovyversion Abfragen

Dies ist das Archiv des ehemaligen Forums zum Thema Groovy, Grails, Griffon und Bean Scripting Framework, welches unter groovy-forum.de existierte. Die neue Adresse des Groovy-Forums ist: http://codekicker.de/fragen/themen/groovy.


Groovyversion Abfragen

wilhelm.nagy@bfw.gv.at - 07.02.2008 14:00
Hallo,

eine hoffentlich leichte Frage.

Ich werkle (so glaub ich halt) mit der Version 1.5.4. Ganz sicher bin ich halt nicht. Hab die Lib im jetty eingetragen.
Irgenwie misstraue ich dem frieden. Meine App mach plötzlich komisch Dinge. Es Funktioniert z.B. sowas wie:
Date date1 = null
.....
date1 = date2
Nicht mehr. Es wirft eine Exception mit inhalt null ganz misteriös... Lässt sich in der Console nicht nachvollziehen.
Wenn ich das ganze in einem try-catch block einbinde so crashed das Programm weiterhin. Nur wenn ich die Anweisung auskommentiere
Funktioniert das Programm weiter - liefert aber falsche ergebnisse.

Wenn ich wieder 1.5.1 installiere tuts das selbe. Den Teil der App habe ich aber schon laenger nicht bearbeitet.

Ich hab' auf meinem Rechner zum testen eine menge Groovy Versionen und so verdaechtige ich jetty halt dass sie eine andere als die von mir gewünschte verwendet.

Gibt es sowas wie groovy.util.GroovyScriptEngine.getVersion() ?

\^/ili
(Wilhelm Nagy)


Stelle deine Groovy-Frage jetzt!


Diese Seite zeigt den Thread "Groovyversion Abfragen" der ehemaligen Webseite groovy-forum.de, welche durch einen Serverunfall zerstört wurde. codekicker.de hat viele Konversationen über die beliebte Programmiersprache Groovy und zugehörige Frameworks wie das Grails-Framework retten können.

Hast Du eine Frage zum Thema Groovy, Grails oder allgemein Java? Viele ehemalige groovy-forum.de Mitglieder beantworten dir auf codekicker.de deine Frage! Stelle jetzt eine Frage!

Viele weitere Diskussionen zu Grails und Groovy befinden sich auf der Threadübersicht des alten groovy-forum.de.